import React__default from 'react';
import { settings } from '../../../constants/Settings.js';
import { childrenPropType } from '../PageWizard.js';

var iotPrefix = settings.iotPrefix;
var PageWizardStepExtraContent = function PageWizardStepExtraContent(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React__default.createElement("div", {
    className: "".concat(iotPrefix, "--page-wizard--step--extra-content")
  }, children);
};
PageWizardStepExtraContent.propTypes = {
  children: childrenPropType
};
PageWizardStepExtraContent.defaultProps = {
  children: []
};
PageWizardStepExtraContent.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "PageWizardStepExtraContent",
  "props": {
    "children": {
      "defaultValue": {
        "value": "[]",
        "computed": false
      },
      "description": "",
      "type": {
        "name": "custom",
        "raw": "childrenPropType"
      },
      "required": false
    }
  }
};
var PageWizardStepExtraContent$1 = PageWizardStepExtraContent;

export { PageWizardStepExtraContent$1 as default };
