import PropTypes from 'prop-types';

var skeletonLoadingPropTypes = PropTypes.shape({
  className: PropTypes.string,
  heading: PropTypes.bool,
  lineCount: PropTypes.number,
  paragraph: PropTypes.bool,
  width: PropTypes.string
});
var skeletonLoadingDefaultProps = {
  className: '',
  heading: false,
  lineCount: 0,
  paragraph: false,
  width: '100%'
};
var ReadOnlyValuePropTypes = {
  type: PropTypes.oneOf(['stacked', 'inline', 'inline_small']),
  label: PropTypes.string,
  value: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  testId: PropTypes.string,
  isLoading: PropTypes.bool,
  skeletonLoadingValue: skeletonLoadingPropTypes,
  textAreaAttributes: PropTypes.object,
  className: PropTypes.string
};
var ReadOnlyValueDefaultProps = {
  type: 'stacked',
  label: '',
  value: '',
  testId: 'read-only-value',
  isLoading: false,
  skeletonLoadingValue: skeletonLoadingDefaultProps,
  textAreaAttributes: {}
};

export { ReadOnlyValueDefaultProps, ReadOnlyValuePropTypes };
