import _extends from '@babel/runtime/helpers/extends';
import * as React from 'react';

var SvgComputerChipIcon = function SvgComputerChipIcon(props) {
  return /*#__PURE__*/React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 170.76 146.75"
  }, props), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("linearGradient", {
    id: "computer-chip-icon_svg__a",
    x1: 85.02,
    x2: 85.02,
    y1: 138.57,
    y2: 70.53,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#0062ff"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#bb8eff"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "computer-chip-icon_svg__b",
    x1: 460.66,
    x2: 461.66,
    y1: 1323.44,
    y2: 1323.44,
    gradientTransform: "matrix(45.26 0 0 -45.26 -20808.3 59995.18)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#50565b"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.19,
    stopColor: "#50565b"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.54,
    stopColor: "#484e53"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#373d42"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "computer-chip-icon_svg__c",
    x1: 488.34,
    x2: 489.34,
    y1: 1323.51,
    y2: 1323.51,
    gradientTransform: "rotate(180 11093.81 29941.09)scale(45.17)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#202529"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.19,
    stopColor: "#202529"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.54,
    stopColor: "#272c30"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#373d42"
  })), /*#__PURE__*/React.createElement("radialGradient", {
    id: "computer-chip-icon_svg__d",
    cx: 491.44,
    cy: 1331.47,
    r: 1,
    gradientTransform: "rotate(180 9109.1 24606.75)scale(36.9)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#50565b"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.18,
    stopColor: "#484e52"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.47,
    stopColor: "#33373a"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.83,
    stopColor: "#121314"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1
  }))), /*#__PURE__*/React.createElement("path", {
    fill: "url(#computer-chip-icon_svg__a)",
    d: "m84.75 41.24-84.73 49 85.28 49 84.72-49z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#054ada",
    d: "m85.08 139.1-.06 6.14 84.95-48.86.05-6.14z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#051b75",
    d: "M85.02 139.1.08 90.24l-.06 6.14 84.95 48.86z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#0530ad",
    d: "M132.71 93.24 84.99 66.15 35.73 92.02l48.49 28.68z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    fillRule: "evenodd",
    d: "m101.65 68.08 3.5-2.58 3.42 2.08-3.46 2.5zM111.57 67.03l1.94 1.25-2.55 1.8-1.78-1.25z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5a6775",
    fillRule: "evenodd",
    d: "m108.57 67.58 2.39 2.5-2.93-1.95-2.57 1.95h-.35z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    fillRule: "evenodd",
    d: "m93.85 63.66 3.5-2.58 3.42 2.08-3.46 2.5zM103.77 62.61l1.94 1.25-2.55 1.8-1.78-1.25z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5a6775",
    fillRule: "evenodd",
    d: "m100.77 63.16 2.39 2.5-2.93-1.95-2.57 1.95h-.35z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    fillRule: "evenodd",
    d: "m86.16 59.06 3.5-2.59 3.41 2.09-3.46 2.5zM96.08 58.01l1.93 1.25-2.54 1.8-1.79-1.25z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5a6775",
    fillRule: "evenodd",
    d: "m93.07 58.56 2.4 2.5-2.94-1.95-2.56 1.95h-.36z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    fillRule: "evenodd",
    d: "m125.59 82.09 3.5-2.58 3.42 2.08-3.46 2.5zM135.51 81.05l1.94 1.25-2.55 1.79-1.78-1.25z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5a6775",
    fillRule: "evenodd",
    d: "m132.51 81.59 2.39 2.5-2.94-1.95-2.56 1.95h-.35z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    fillRule: "evenodd",
    d: "m68.56 68.08-3.5-2.58-3.42 2.08 3.46 2.5zM58.64 67.03l-1.94 1.25 2.54 1.8 1.79-1.25z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5a6775",
    fillRule: "evenodd",
    d: "m61.64 67.58-2.4 2.5 2.94-1.95 2.56 1.95h.36z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    fillRule: "evenodd",
    d: "m76.52 63.45-3.5-2.58-3.41 2.08 3.45 2.5zM66.6 62.41l-1.93 1.25 2.54 1.79 1.78-1.25z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5a6775",
    fillRule: "evenodd",
    d: "m69.61 62.95-2.4 2.5 2.94-1.95 2.56 1.95h.35z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    fillRule: "evenodd",
    d: "m84.22 59.06-3.5-2.59-3.42 2.09 3.46 2.5zM74.3 58.01l-1.94 1.25 2.54 1.8 1.79-1.25z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5a6775",
    fillRule: "evenodd",
    d: "m77.3 58.56-2.4 2.5 2.94-1.95 2.56 1.95h.36z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    fillRule: "evenodd",
    d: "m45.01 81.47-3.5-2.59-3.41 2.09 3.45 2.5zM35.09 80.42l-1.93 1.25 2.54 1.8 1.78-1.25z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5a6775",
    fillRule: "evenodd",
    d: "m38.1 80.97-2.4 2.5 2.94-1.95 2.56 1.95h.35z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    fillRule: "evenodd",
    d: "m52.88 77.25-3.5-2.59-3.42 2.09 3.46 2.5zM42.96 76.2l-1.94 1.25 2.55 1.8L45.35 78z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5a6775",
    fillRule: "evenodd",
    d: "m45.96 76.75-2.39 2.5 2.94-1.95 2.56 1.95h.35z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    fillRule: "evenodd",
    d: "m60.49 72.66-3.5-2.58-3.42 2.08 3.46 2.5zM50.57 71.62l-1.94 1.25 2.54 1.79 1.79-1.25z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5a6775",
    fillRule: "evenodd",
    d: "m53.57 72.16-2.4 2.5 2.94-1.94 2.56 1.94h.36z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    fillRule: "evenodd",
    d: "m117.83 77.61 3.5-2.58 3.42 2.08-3.46 2.5zM127.75 76.56l1.94 1.25-2.55 1.8-1.78-1.25z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5a6775",
    fillRule: "evenodd",
    d: "m124.75 77.11 2.39 2.5-2.93-1.95-2.57 1.95h-.35z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    fillRule: "evenodd",
    d: "m109.72 73.03 3.5-2.59 3.42 2.09-3.46 2.5zM119.64 71.98l1.94 1.25-2.55 1.8-1.78-1.25z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5a6775",
    fillRule: "evenodd",
    d: "m116.64 72.53 2.39 2.5-2.94-1.95-2.56 1.95h-.35z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#computer-chip-icon_svg__b)",
    d: "M39.55 84.5v6.55l45.3 26.07.01-6.61-45.29-26"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#computer-chip-icon_svg__c)",
    d: "m84.86 110.51-.01 6.61 45.17-26.08V84.5z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#computer-chip-icon_svg__d)",
    d: "M130.02 84.5 85.1 58.33 39.57 84.51l45.29 26z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#05030d",
    d: "m81.06 103.13.01.01h.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m58.12 84.94 27.62-15.86 27.58 15.94-27.76 15.3zM79.1 110.49l2.99 1.76-5.29 3.39-3.13-1.9z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m73.67 113.74-2.3 5.7 2.3 1.23 3.13-5.03z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m71.37 119.44-2.11 1.23 2.42 1.28 1.99-1.28zM72.52 107.06l2.98 1.76-5.29 3.39-3.12-1.9z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m67.09 110.31-2.31 5.7 2.31 1.22 3.12-5.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m64.78 116.01-2.11 1.22 2.42 1.29 2-1.29zM66.1 103.31l2.99 1.76-5.29 3.4-3.13-1.91z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m60.67 106.56-2.3 5.71 2.3 1.22 3.13-5.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m58.37 112.27-2.11 1.22 2.11 1.49 2.3-1.49zM59.69 99.37l2.98 1.77-5.29 3.39-3.12-1.9z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m54.26 102.63-2.31 5.7 2.31 1.22 3.12-5.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m51.95 108.33-2.1 1.22 2.1 1.49 2.31-1.49zM52.86 95.48l2.99 1.76-5.29 3.4-3.12-1.9z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m47.44 98.74-2.31 5.7 2.31 1.22 3.12-5.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m45.13 104.44-2.11 1.22 2.11 1.49 2.31-1.49zM46.45 92.02l2.99 1.76-5.29 3.4-3.13-1.9z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m41.02 95.28-2.3 5.69 2.3 1.23 3.13-5.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m38.72 100.97-2.11 1.23 2.11 1.49 2.3-1.49zM40.04 88.08l2.98 1.77-5.29 3.39-3.12-1.9z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m34.61 91.34-2.31 5.7 2.31 1.22 3.12-5.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m32.3 97.04-2.1 1.22 2.1 1.49 2.31-1.49zM90.72 109.97l6.36 3.68-3.18 2.01-6.75-3.57z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m97.08 113.65 2.12 6.14-2.12.89-3.18-5.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m97.08 120.68 2.12 1.79 2.23-.89-2.23-1.79zM97.47 106.54l6.36 3.68-3.18 2.01-6.75-3.57z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m103.83 110.22 2.12 6.14-2.12.89-3.18-5.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m103.83 117.25 2.12 1.79 2.23-.9-2.23-1.78zM103.86 102.63l6.36 3.68-3.18 2.01-6.75-3.57z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m110.22 106.31 2.12 6.14-2.12.89-3.18-5.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m110.22 113.34 2.12 1.79 2.23-.89-2.23-1.79zM110.22 99.22l6.36 3.69-3.18 2.01-6.75-3.57z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m116.58 102.91 2.12 6.14-2.12.89-3.18-5.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m116.58 109.94 2.12 1.78 2.24-.89-2.24-1.78zM116.33 95.63l6.36 3.68-3.18 2.01-6.75-3.57z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m122.69 99.31 2.12 6.14-2.12.89-3.18-5.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m122.69 106.34 2.12 1.79 2.24-.9-2.24-1.78zM122.04 92.22l6.36 3.69-3.18 2.01-6.75-3.58z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m128.4 95.91 2.12 6.14-2.12.89-3.18-5.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m128.4 102.94 2.12 1.78 2.23-.89-2.23-1.78zM128.04 88.82l6.36 3.68-3.18 2.01-6.75-3.57z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "m134.4 92.5 2.12 6.14-2.12.89-3.18-5.02z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "m134.4 99.53 2.12 1.79 2.23-.89-2.23-1.79z"
  }));
};
SvgComputerChipIcon.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "SvgComputerChipIcon"
};
var SvgComputerChipIcon$1 = SvgComputerChipIcon;

export { SvgComputerChipIcon$1 as default };
