'use strict';

/** Date related constants */

var PICKER_KINDS = {
  PRESET: 'PRESET',
  RELATIVE: 'RELATIVE',
  ABSOLUTE: 'ABSOLUTE',
  SINGLE: 'SINGLE'
};
var PRESET_VALUES = [{
  id: 'item-01',
  label: 'Last 30 minutes',
  offset: 30
}, {
  id: 'item-02',
  label: 'Last 1 hour',
  offset: 60
}, {
  id: 'item-03',
  label: 'Last 6 hours',
  offset: 6 * 60
}, {
  id: 'item-04',
  label: 'Last 12 hours',
  offset: 12 * 60
}, {
  id: 'item-05',
  label: 'Last 24 hours',
  offset: 24 * 60
}];
var INTERVAL_VALUES = {
  MINUTES: 'MINUTES',
  HOURS: 'HOURS',
  DAYS: 'DAYS',
  WEEKS: 'WEEKS',
  MONTHS: 'MONTHS',
  YEARS: 'YEARS'
};
var RELATIVE_VALUES = {
  YESTERDAY: 'YESTERDAY',
  TODAY: 'TODAY'
};

exports.INTERVAL_VALUES = INTERVAL_VALUES;
exports.PICKER_KINDS = PICKER_KINDS;
exports.PRESET_VALUES = PRESET_VALUES;
exports.RELATIVE_VALUES = RELATIVE_VALUES;
