import React__default from 'react';
import { settings } from '../../../constants/Settings.js';
import { childrenPropType } from '../PageWizard.js';

var iotPrefix = settings.iotPrefix;
var PageWizardStepContent = function PageWizardStepContent(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React__default.createElement("div", {
    className: "".concat(iotPrefix, "--page-wizard--step--content")
  }, children);
};
PageWizardStepContent.propTypes = {
  children: childrenPropType
};
PageWizardStepContent.defaultProps = {
  children: []
};
PageWizardStepContent.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "PageWizardStepContent",
  "props": {
    "children": {
      "defaultValue": {
        "value": "[]",
        "computed": false
      },
      "description": "",
      "type": {
        "name": "custom",
        "raw": "childrenPropType"
      },
      "required": false
    }
  }
};
var PageWizardStepContent$1 = PageWizardStepContent;

export { PageWizardStepContent$1 as default };
