import React__default from 'react';
import { settings } from '../../../constants/Settings.js';
import { childrenPropType } from '../PageWizard.js';

var iotPrefix = settings.iotPrefix;
var PageWizardStepDescription = function PageWizardStepDescription(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React__default.createElement("div", {
    className: "".concat(iotPrefix, "--page-wizard--step--description")
  }, children);
};
PageWizardStepDescription.propTypes = {
  children: childrenPropType
};
PageWizardStepDescription.defaultProps = {
  children: []
};
PageWizardStepDescription.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "PageWizardStepDescription",
  "props": {
    "children": {
      "defaultValue": {
        "value": "[]",
        "computed": false
      },
      "description": "",
      "type": {
        "name": "custom",
        "raw": "childrenPropType"
      },
      "required": false
    }
  }
};
var PageWizardStepDescription$1 = PageWizardStepDescription;

export { PageWizardStepDescription$1 as default };
