import React__default from 'react';
import { settings } from '../../../constants/Settings.js';
import { childrenPropType } from '../PageWizard.js';

var iotPrefix = settings.iotPrefix;
var PageWizardStepTitle = function PageWizardStepTitle(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React__default.createElement("div", {
    className: "".concat(iotPrefix, "--page-wizard--step--title")
  }, children);
};
PageWizardStepTitle.propTypes = {
  children: childrenPropType
};
PageWizardStepTitle.defaultProps = {
  children: []
};
PageWizardStepTitle.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "PageWizardStepTitle",
  "props": {
    "children": {
      "defaultValue": {
        "value": "[]",
        "computed": false
      },
      "description": "",
      "type": {
        "name": "custom",
        "raw": "childrenPropType"
      },
      "required": false
    }
  }
};
var PageWizardStepTitle$1 = PageWizardStepTitle;

export { PageWizardStepTitle$1 as default };
