import React__default from 'react';
import PropTypes from 'prop-types';

var propTypes = {
  /** Component children's to be rendered */
  children: PropTypes.node.isRequired,
  testId: PropTypes.string
};
var defaultProps = {
  testId: 'tile-gallery'
};
var TileGallery = function TileGallery(_ref) {
  var children = _ref.children,
    testId = _ref.testId;
  return /*#__PURE__*/React__default.createElement("div", {
    "data-testid": testId,
    className: "tile-gallery"
  }, children);
};
TileGallery.propTypes = propTypes;
TileGallery.defaultProps = defaultProps;
TileGallery.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "TileGallery",
  "props": {
    "testId": {
      "defaultValue": {
        "value": "'tile-gallery'",
        "computed": false
      },
      "description": "",
      "type": {
        "name": "string"
      },
      "required": false
    },
    "children": {
      "description": "Component children's to be rendered",
      "type": {
        "name": "node"
      },
      "required": true
    }
  }
};
var TileGallery$1 = TileGallery;

export { TileGallery$1 as default };
