import _extends from '@babel/runtime/helpers/extends';
import * as React from 'react';

var SvgDataScientistIcon = function SvgDataScientistIcon(props) {
  return /*#__PURE__*/React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    viewBox: "0 0 170.76 146.75"
  }, props), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("linearGradient", {
    id: "data-scientist-icon_svg__a",
    x1: -143.46,
    x2: -143.14,
    y1: 4805.53,
    y2: 4805.53,
    gradientTransform: "matrix(-9.62 0 0 -9.62 -1273.97 46261.1)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#fff"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.99
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1
  })), /*#__PURE__*/React.createElement("linearGradient", {
    xlinkHref: "#data-scientist-icon_svg__a",
    id: "data-scientist-icon_svg__c",
    x1: -141.77,
    x2: -141.23,
    y1: 4806.28,
    y2: 4806.28,
    gradientTransform: "matrix(-9.62 0 0 -9.62 -1273.73 46275.97)"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    xlinkHref: "#data-scientist-icon_svg__a",
    id: "data-scientist-icon_svg__h",
    x1: 1094.71,
    x2: 1095.26,
    y1: 5933.73,
    y2: 5933.73,
    gradientTransform: "rotate(-90 -23201.61 33766.93)scale(9.62)"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "data-scientist-icon_svg__b",
    x1: 12751.73,
    x2: 12750.76,
    y1: 42.02,
    y2: 47.52,
    gradientTransform: "translate(-12645.2)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#171717"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.73,
    stopColor: "#171717",
    stopOpacity: 0
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "data-scientist-icon_svg__f",
    x1: -3262.79,
    x2: -3262.33,
    y1: 1608.24,
    y2: 1609.45,
    gradientTransform: "matrix(-.5 .87 -.87 -.5 -139.51 3689.13)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#f3f3f3"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.05,
    stopColor: "#ebeced",
    stopOpacity: 0.87
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.15,
    stopColor: "#e0e2e4",
    stopOpacity: 0.67
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.25,
    stopColor: "#d5d8dc",
    stopOpacity: 0.49
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.35,
    stopColor: "#cdd1d6",
    stopOpacity: 0.34
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.46,
    stopColor: "#c5cad0",
    stopOpacity: 0.21
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.57,
    stopColor: "#c0c5cc",
    stopOpacity: 0.12
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.69,
    stopColor: "#bcc2c9",
    stopOpacity: 0.05
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.82,
    stopColor: "#bac0c8",
    stopOpacity: 0.01
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#b9bfc7",
    stopOpacity: 0
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "data-scientist-icon_svg__i",
    x1: 85.42,
    x2: 85.42,
    y1: 139.12,
    y2: 71.07,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#0062ff"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#bb8eff"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    xlinkHref: "#data-scientist-icon_svg__b",
    id: "data-scientist-icon_svg__n",
    x1: -143.47,
    x2: -143.1,
    y1: 4805.59,
    y2: 4805.36,
    gradientTransform: "matrix(-9.62 0 0 -9.62 -1273.97 46261.1)"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    xlinkHref: "#data-scientist-icon_svg__b",
    id: "data-scientist-icon_svg__p",
    x1: -141.79,
    x2: -141.16,
    y1: 4806.38,
    y2: 4805.99,
    gradientTransform: "rotate(180 -636.865 23137.985)scale(9.62)"
  }), /*#__PURE__*/React.createElement("linearGradient", {
    id: "data-scientist-icon_svg__q",
    x1: 12749.65,
    x2: 12755.31,
    y1: 37.47,
    y2: 37.47,
    gradientTransform: "translate(-12645.2)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#0530ad"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.04,
    stopColor: "#0530ad",
    stopOpacity: 0.87
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.12,
    stopColor: "#0530ad",
    stopOpacity: 0.64
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.2,
    stopColor: "#0530ad",
    stopOpacity: 0.44
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.29,
    stopColor: "#0530ad",
    stopOpacity: 0.28
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.39,
    stopColor: "#0530ad",
    stopOpacity: 0.16
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.5,
    stopColor: "#0530ad",
    stopOpacity: 0.07
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.62,
    stopColor: "#0530ad",
    stopOpacity: 0.02
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.8,
    stopColor: "#0530ad",
    stopOpacity: 0
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "data-scientist-icon_svg__u",
    x1: 1094.69,
    x2: 1095.32,
    y1: 5933.84,
    y2: 5933.44,
    gradientTransform: "rotate(-90 -23201.61 33766.93)scale(9.62)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#418cff"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.07,
    stopColor: "#3887ff",
    stopOpacity: 0.83
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.16,
    stopColor: "#2f81ff",
    stopOpacity: 0.64
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.26,
    stopColor: "#267cff",
    stopOpacity: 0.47
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.36,
    stopColor: "#1f78ff",
    stopOpacity: 0.32
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.47,
    stopColor: "#1975ff",
    stopOpacity: 0.2
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.58,
    stopColor: "#1572ff",
    stopOpacity: 0.11
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.7,
    stopColor: "#1170ff",
    stopOpacity: 0.05
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.83,
    stopColor: "#106fff",
    stopOpacity: 0.01
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#0f6fff",
    stopOpacity: 0
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "data-scientist-icon_svg__w",
    x1: -2637.72,
    x2: -2656,
    y1: 74.55,
    y2: 76.73,
    gradientTransform: "matrix(-1 0 0 1 -2545.13 0)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#b9bfc7"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.67,
    stopColor: "#b9bfc7",
    stopOpacity: 0.32
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#b9bfc7",
    stopOpacity: 0
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "data-scientist-icon_svg__x",
    x1: -2655.26,
    x2: -2657.15,
    y1: 49.06,
    y2: 48.41,
    gradientTransform: "matrix(-1 0 0 1 -2545.13 0)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0.2,
    stopColor: "#97c1ff",
    stopOpacity: 0
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.29,
    stopColor: "#7ea9f1",
    stopOpacity: 0.17
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.46,
    stopColor: "#537ed9",
    stopOpacity: 0.46
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.63,
    stopColor: "#315cc6",
    stopOpacity: 0.7
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.78,
    stopColor: "#1944b8",
    stopOpacity: 0.86
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.91,
    stopColor: "#0a35b0",
    stopOpacity: 0.96
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#0530ad"
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "data-scientist-icon_svg__y",
    x1: -2661.83,
    x2: -2660.08,
    y1: 47.76,
    y2: 49.51,
    gradientTransform: "matrix(-1 0 0 1 -2545.13 0)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0.2,
    stopColor: "#0530ad",
    stopOpacity: 0
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.29,
    stopColor: "#0530ad",
    stopOpacity: 0.17
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.46,
    stopColor: "#0530ad",
    stopOpacity: 0.46
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.63,
    stopColor: "#0530ad",
    stopOpacity: 0.7
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.78,
    stopColor: "#0530ad",
    stopOpacity: 0.86
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.91,
    stopColor: "#0530ad",
    stopOpacity: 0.96
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#0530ad"
  })), /*#__PURE__*/React.createElement("radialGradient", {
    id: "data-scientist-icon_svg__e",
    cx: -2663.42,
    cy: 53.56,
    r: 6.74,
    gradientTransform: "matrix(-1 0 0 1 -2545.13 0)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0.19,
    stopColor: "#f3f3f3"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.39,
    stopColor: "#ebeced"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.69,
    stopColor: "#d6d9dd"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#b9bfc7"
  })), /*#__PURE__*/React.createElement("radialGradient", {
    id: "data-scientist-icon_svg__j",
    cx: -2655.87,
    cy: 70.73,
    r: 20.6,
    gradientTransform: "matrix(-1 0 0 1 -2545.13 0)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#f3f3f3"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.23,
    stopColor: "#f3f3f3"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#b9bfc7"
  })), /*#__PURE__*/React.createElement("radialGradient", {
    xlinkHref: "#data-scientist-icon_svg__e",
    id: "data-scientist-icon_svg__r",
    cx: -2644.06,
    cy: 60.05,
    r: 5.83
  }), /*#__PURE__*/React.createElement("radialGradient", {
    xlinkHref: "#data-scientist-icon_svg__e",
    id: "data-scientist-icon_svg__v",
    cx: -2647.22,
    cy: 59.91,
    r: 6.78
  }), /*#__PURE__*/React.createElement("clipPath", {
    id: "data-scientist-icon_svg__k"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "none",
    d: "m107.14 46.8 1.55.92v-6.13l-1.57 3.79z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "data-scientist-icon_svg__l"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__b)",
    d: "M104 45.28v-3.7l4.65 2.72-2 3.43c-1.55-.33-2.67-1.3-2.67-2.45"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "data-scientist-icon_svg__s"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__f)",
    d: "m97.01 62.16 1.41 3.21 1.99-10.03-1.02-2.06z",
    opacity: 0.7
  })), /*#__PURE__*/React.createElement("mask", {
    id: "data-scientist-icon_svg__m",
    width: 6.35,
    height: 6.35,
    x: 103.38,
    y: 41.28,
    maskUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__a)",
    d: "M104.29 42.23h4.53v4.46h-4.53z",
    transform: "rotate(-47.95 106.56 44.465)"
  })), /*#__PURE__*/React.createElement("mask", {
    id: "data-scientist-icon_svg__o",
    width: 10.76,
    height: 10.77,
    x: 84.58,
    y: 46.78,
    maskUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__c)",
    d: "M86.12 48.38h7.68v7.57h-7.68z",
    transform: "rotate(-47.95 89.952 52.163)"
  })), /*#__PURE__*/React.createElement("mask", {
    id: "data-scientist-icon_svg__t",
    width: 9.56,
    height: 9.63,
    x: 94.09,
    y: 32.83,
    maskUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__h)",
    d: "M95.09 33.81h7.57v7.68h-7.57z",
    transform: "rotate(-17.95 98.86 37.646)"
  }))), /*#__PURE__*/React.createElement("g", {
    style: {
      isolation: 'isolate'
    }
  }, /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__i)",
    d: "m85.15 41.78-84.73 49 85.28 49 84.73-49z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#054ada",
    d: "m85.48 139.64-.06 6.14 84.95-48.85.06-6.15z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#051b75",
    d: "M85.42 139.64.48 90.78l-.06 6.15 84.95 48.85z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#b9bfc7",
    d: "M38.18 38a9.14 9.14 0 0 1 4.15-7.2L95.89 1.3c2.3-1.32 4.18-.25 4.19 2.39l.12 42a9.2 9.2 0 0 1-4.2 7.24L42.48 84.08c-2.3 1.33-4.18.26-4.18-2.38z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#13171a",
    d: "M102.75 2.74c2.42-1.4 4.4-.27 4.41 2.51l-.33 44c0 2.78-2.85 6.48-5.27 7.88L47 88.55c-2.42 1.39-4.42-.38-4-3.6V40.78a8.63 8.63 0 0 1 3.92-7.25z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#bb8eff",
    d: "m95.53 21.63.07 29 1.5-.01-.07-28.99M91.51 33.48l.08 20.03 1.5-.01-.08-20.03M87.23 30.24l.08 26.61h1.5l-.08-26.61M83.58 50.7l.08 8.35 1.5-.01-.08-8.36M79.56 45.93l.08 15.23h1.5l-.08-15.24M75.37 39.05l.07 24.37 1.5-.01-.07-24.36M71.71 31.21l.08 34.4h1.5l-.08-34.4M67.69 50.09l.08 17.64 1.5-.01-.08-17.63M63.42 46.71l.08 23.89 1.5-.01-.08-23.89M59.76 62.52l.08 10.75 1.5-.01-.08-10.75M55.74 40.99l.08 34.39h1.5l-.08-34.4M51.84 57.88l.07 19.72h1.5l-.07-19.73M99.55 24.33l.08 24.37 1.5-.01-.08-24.36"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#202529",
    d: "m109.74 94.13-.33 13.92-4.29 3.1-2.06-3.23s-.23-7.73-.15-14.1c0-3.45.36-6.13 1.21-7.3"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#202529",
    d: "M101.75 104.47c-.92-.53-3.5-1.24-4 1.12a2.63 2.63 0 0 0 .33 2.09l.79.94c1 .33 4.24 2.66 5.73 3.59a2 2 0 0 0 1.09.32h2.17a1.87 1.87 0 0 0 1.25-1.44l.23-3.07-4.34-.82-1.64-2.4a4.7 4.7 0 0 1-1.61-.33M118.31 91.65l-.31 13.91-4.29 3.11-2.06-3.23s-.23-7.74-.15-14.11c0-3.44.36-6.13 1.21-7.3"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#202529",
    d: "M110.32 102c-.92-.52-3.5-1.24-4 1.12a2.66 2.66 0 0 0 .33 2.1l.79.94c1 .32 4.24 2.65 5.73 3.59a2.1 2.1 0 0 0 1.09.31h2.17a1.87 1.87 0 0 0 1.25-1.44l.23-3.07-4.34-.81-1.64-2.41a4.7 4.7 0 0 1-1.61-.33"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__e)",
    stroke: "#b9bfc7",
    strokeMiterlimit: 10,
    d: "M119.89 44.76a1.35 1.35 0 0 0-.76-.12 3 3 0 0 0-.68.25s.08.06.1 0-.25 0-.34.08a4 4 0 0 0-1.6 1.86 6.6 6.6 0 0 0-.4 1.15c-.5 2.48-.67 6-1 8.81a10 10 0 0 0-.25 2c.24 2.38 1.18 3.3 2.17 3.57a2.5 2.5 0 0 0 3-1.92c.09-.36.25-.91.31-1.27.2-1.14.37-2.28.52-3.43a44 44 0 0 0 .57-6.58c0-1.58 0-3.69-1.71-4.42"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__j)",
    stroke: "#b9bfc7",
    strokeMiterlimit: 10,
    d: "M101.07 53c.47-1.1 5.24-5.73 7.1-7.32 1.45-1.52 4.4-1.74 6.61-1.23h.79c1.64.14 3.55-.1 4.06.42l.06.13c.13.32.26.65.37 1 1 3.05.33 5.71-.8 8.75a37 37 0 0 0-1.26 5.4c-.12 1.19-.61 3.51-.63 4.76 0 0 5.22 21.28 5.46 26.26.17 3.44-14.36 6.08-14.36 6.08s-8.88-1.15-9.64-3.33 3.31-26.52 3.31-26.52l-1-14.52"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "M113.1 37.81v9.07c0 1.11-1.34 2-3 2s-3-.9-3-2v-9.07Z"
  }), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#data-scientist-icon_svg__k)",
    style: {
      mixBlendMode: 'multiply'
    }
  }, /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__b)",
    d: "M104 45.28v-3.7l4.65 2.72-2 3.43c-1.55-.33-2.67-1.3-2.67-2.45"
  }), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#data-scientist-icon_svg__l)"
  }, /*#__PURE__*/React.createElement("g", {
    mask: "url(#data-scientist-icon_svg__m)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__n)",
    d: "M104.29 42.23h4.53v4.46h-4.53z",
    transform: "rotate(-47.95 106.56 44.465)"
  })), /*#__PURE__*/React.createElement("g", {
    mask: "url(#data-scientist-icon_svg__o)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__p)",
    d: "M86.12 48.38h7.68v7.57h-7.68z",
    transform: "rotate(-47.95 89.952 52.163)"
  })))), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "M110.35 45.17a4.2 4.2 0 0 1-2 .49 2.73 2.73 0 0 1-2.78-2.34 20.8 20.8 0 0 1-.52-6.24l.19-.59 7.28.5v7Z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#50565b",
    d: "M105 37.82c.58-.56.47 1.39 1.35 1.46s1.39 1 1.54 1.87l.58 2.23a1.1 1.1 0 0 0 .36.57l.52.45c.78.42 3.26.2 3.75-1.36l1-2a4.92 4.92 0 0 0-.44-5.22c-2.25-3.06-6.64-1.67-8.07.15a3.4 3.4 0 0 0-.59 1.85"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#50565b",
    d: "M107.8 34.45s-2.75 1-3.24 3.21a4.8 4.8 0 0 0 .4 2.82s4.55-1.29 5.11-2.44-2.27-3.59-2.27-3.59"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#50565b",
    d: "M107.1 38.21a3.1 3.1 0 0 1 .34 1.36 2.37 2.37 0 0 1-1.14 1.94s.29-2-.86-2.84c-.52-.39 1.66-.46 1.66-.46"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "M107.24 42.46c1 .47 1.84-.91 1.68-2.16-.13-1.06-.86-.84-1.39-.52a1.43 1.43 0 0 0-.69 1l-.43 2.39Z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__q)",
    d: "M107.76 34.46s-2.75 1-3.23 3.21a4.8 4.8 0 0 0 .4 2.82s4.55-1.29 5.11-2.44-2.28-3.59-2.28-3.59",
    opacity: 0.3
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__r)",
    stroke: "#b9bfc7",
    strokeMiterlimit: 10,
    d: "M103.45 62.87c-.44-.8-1.24-2.59-2-4.47-.13-.32-.26-.63-.4-.94-.59-1.4-1.15-2.75-1.54-3.7 0-.09-.07-.17-.11-.25a.14.14 0 0 1 0-.06l-.47-.16-.27-.1a4.1 4.1 0 0 1-2.42 1.38 3 3 0 0 1-1.24.07c-.15 0-.34-.12-.24 0a3.7 3.7 0 0 0-.29 1.28 3.3 3.3 0 0 1 .2.58l.29.76c.24.65.51 1.35.8 2.08.71 1.8 1.52 3.74 2.2 5.23.06.12.12.24.17.36a6.2 6.2 0 0 0 1.16 2.08"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__f)",
    d: "m97.01 62.16 1.41 3.21 1.99-10.03-1.02-2.06z",
    opacity: 0.7
  }), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#data-scientist-icon_svg__s)",
    mask: "url(#data-scientist-icon_svg__t)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__u)",
    d: "M95.09 33.81h7.57v7.68h-7.57z",
    transform: "rotate(-18.2 98.109 37.727)"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__v)",
    stroke: "#b9bfc7",
    strokeMiterlimit: 10,
    d: "M104.3 51.22a1.4 1.4 0 0 0-.75-.17 3.3 3.3 0 0 0-.7.2l-.24.11a4.1 4.1 0 0 0-1.73 1.74 8 8 0 0 0-.48 1.12c-.67 2.44-1.09 6-1.58 8.73a10.6 10.6 0 0 0-.39 2c.08 2.4.94 3.38 1.91 3.72a2.5 2.5 0 0 0 3.16-1.71c.12-.35.32-.89.4-1.24.28-1.13.53-2.25.76-3.39a42 42 0 0 0 1-6.52c.08-1.58.28-3.69-1.39-4.53"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__w)",
    d: "m105.86 55.33 4.9 13.39-2.34 28.53s-8.9-1.16-9.64-3.33 3-25.13 3-25.13c.95-.42 2.33.45 4.08-13.46"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__x)",
    d: "M111.43 42.32c.81.86-.22 8.15.12 9 .67 1.67 3.07 3.52 3.7 5.21.2.53.75-.73.75-.73l-3.23-5.37-.31-3.26.14-3.71s.24-2.95-.38-3.69a4.3 4.3 0 0 0-.79-.52s-1.28 1.75 0 3.07",
    opacity: 0.2
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#50565b",
    d: "M114.07 40.85c.68 3.52 2.05 3.86 3.29 5.08s.87 4.78.87 4.78a3.31 3.31 0 0 1 .33 3.62 17 17 0 0 1-2.72 2.25 8.07 8.07 0 0 0-2.12-3.64 4.84 4.84 0 0 1-1.72-3.55s.59-6.37-.35-8.62.37-1.45.71-1.46l1.68 1.54"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#data-scientist-icon_svg__y)",
    d: "M118.06 52.62c-.45-1.74-2.69-2.47-3.36-4.14-.34-.83 0-3.49-1.2-3.74",
    opacity: 0.3
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#f3f3f3",
    d: "M96.16 54.51a4.1 4.1 0 0 0 2.42-1.38 1 1 0 0 1 0-.57 9.8 9.8 0 0 0 .85-3 9 9 0 0 0-.81-.9c-.23-.23-.46-.45-.71-.66a4 4 0 0 1-.49-.36 8 8 0 0 0-.85-.5c-.09-.05-.16-.12-.11-.11l-.22-.22-.37-.43-.33.12a.66.66 0 0 0 0 .32v.08c-.53.34-.46.63-.17 1.14a5 5 0 0 1 .3.78c0-.08.1.3.18.61l-.06-.07a12 12 0 0 0-.84-.91l-.5-.45a.6.6 0 0 1-.15-.1 2 2 0 0 0-.16.37 1.08 1.08 0 0 0 .09.83 3.3 3.3 0 0 1 .51.67 5 5 0 0 1 .3.55l.29.59c-.07.71-.33 1.43-.46 2.14a3.05 3.05 0 0 0 0 1.47 2.84 2.84 0 0 0 1.24-.07"
  })));
};
SvgDataScientistIcon.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "SvgDataScientistIcon"
};
var SvgDataScientistIcon$1 = SvgDataScientistIcon;

export { SvgDataScientistIcon$1 as default };
