'use strict';

var PropTypes = require('prop-types');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var PropTypes__default = /*#__PURE__*/_interopDefault(PropTypes);

var skeletonLoadingPropTypes = PropTypes__default.default.shape({
  className: PropTypes__default.default.string,
  heading: PropTypes__default.default.bool,
  lineCount: PropTypes__default.default.number,
  paragraph: PropTypes__default.default.bool,
  width: PropTypes__default.default.string
});
var skeletonLoadingDefaultProps = {
  className: '',
  heading: false,
  lineCount: 0,
  paragraph: false,
  width: '100%'
};
var ReadOnlyValuePropTypes = {
  type: PropTypes__default.default.oneOf(['stacked', 'inline', 'inline_small']),
  label: PropTypes__default.default.string,
  value: PropTypes__default.default.oneOfType([PropTypes__default.default.string, PropTypes__default.default.node]),
  testId: PropTypes__default.default.string,
  isLoading: PropTypes__default.default.bool,
  skeletonLoadingValue: skeletonLoadingPropTypes,
  textAreaAttributes: PropTypes__default.default.object,
  className: PropTypes__default.default.string
};
var ReadOnlyValueDefaultProps = {
  type: 'stacked',
  label: '',
  value: '',
  testId: 'read-only-value',
  isLoading: false,
  skeletonLoadingValue: skeletonLoadingDefaultProps,
  textAreaAttributes: {}
};

exports.ReadOnlyValueDefaultProps = ReadOnlyValueDefaultProps;
exports.ReadOnlyValuePropTypes = ReadOnlyValuePropTypes;
