'use strict';

var _extends = require('@babel/runtime/helpers/extends');
var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var _extends__default = /*#__PURE__*/_interopDefault(_extends);
var React__namespace = /*#__PURE__*/_interopNamespace(React);

var SvgLineGraphIcon = function SvgLineGraphIcon(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends__default.default({
    xmlns: "http://www.w3.org/2000/svg",
    width: 40,
    height: 34
  }, props), /*#__PURE__*/React__namespace.createElement("g", {
    fill: "none",
    fillRule: "nonzero",
    transform: "translate(0 1)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#0062FF",
    d: "M20.556 1.233 32.28 7.368l.033.013 7.299 1.68v-.453l-7.193-1.675L20.376.63 7.546 30.883.519 28.516l-.002.483 7.23 2.436z"
  }), /*#__PURE__*/React__namespace.createElement("circle", {
    cx: 7.382,
    cy: 31.154,
    r: 1,
    fill: "#FFF",
    stroke: "#0062FF",
    strokeWidth: 1.5
  }), /*#__PURE__*/React__namespace.createElement("circle", {
    cx: 20.455,
    cy: 0.966,
    r: 1,
    fill: "#FFF",
    stroke: "#0062FF",
    strokeWidth: 1.5
  }), /*#__PURE__*/React__namespace.createElement("circle", {
    cx: 32.904,
    cy: 7.365,
    r: 1,
    fill: "#FFF",
    stroke: "#0062FF",
    strokeWidth: 1.5
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#0062FF",
    d: "M.13 13.592h.776v-.155H.13zM1.424 13.592H2.2v-.155h-.777zM2.718 13.592h.777v-.155h-.777zM4.013 13.592h.777v-.155h-.777zM5.307 13.592h.777v-.155h-.777zM6.602 13.592h.777v-.155h-.777zM7.896 13.592h.777v-.155h-.777zM9.19 13.592h.778v-.155H9.19zM10.485 13.592h.777v-.155h-.777zM11.78 13.592h.777v-.155h-.777zM13.074 13.592h.777v-.155h-.777zM14.369 13.592h.777v-.155h-.777zM15.663 13.592h.777v-.155h-.777zM16.958 13.592h.777v-.155h-.777zM18.252 13.592h.777v-.155h-.777zM19.547 13.592h.777v-.155h-.777zM20.841 13.592h.777v-.155h-.777zM22.136 13.592h.777v-.155h-.777zM23.43 13.592h.777v-.155h-.777zM24.725 13.592h.777v-.155h-.777zM26.02 13.592h.776v-.155h-.777zM27.314 13.592h.777v-.155h-.777zM28.608 13.592h.777v-.155h-.777zM29.903 13.592h.777v-.155h-.777zM31.197 13.592h.777v-.155h-.777zM32.492 13.592h.777v-.155h-.777zM33.786 13.592h.777v-.155h-.777zM35.08 13.592h.778v-.155h-.777zM36.375 13.592h.777v-.155h-.777zM37.67 13.592h.777v-.155h-.777zM38.964 13.592h.389v-.155h-.389z"
  })));
};
SvgLineGraphIcon.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "SvgLineGraphIcon"
};
var LineGraphIcon = SvgLineGraphIcon;

module.exports = LineGraphIcon;
