'use strict';

var _extends = require('@babel/runtime/helpers/extends');
var React = require('react');
var useUniqueId = require('../../hooks/useUniqueId.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var _extends__default = /*#__PURE__*/_interopDefault(_extends);
var React__namespace = /*#__PURE__*/_interopNamespace(React);

function SvgEmptystateNotauthorizedIcon(props) {
  var id = useUniqueId.useUniqueId() || 'NotAuthorizedIcon';
  return /*#__PURE__*/React__namespace.createElement("svg", _extends__default.default({
    width: 80,
    height: 80
  }, props), /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("radialGradient", {
    cx: "47.29%",
    cy: "50%",
    fx: "47.29%",
    fy: "50%",
    r: "41.461%",
    gradientTransform: "matrix(-.0463 .9968 -1.09141 -.1512 1.04 .104)",
    id: "emptystate-Notauthorized-icon_svg__d-".concat(id)
  }, /*#__PURE__*/React__namespace.createElement("stop", {
    stopOpacity: 0.27,
    offset: "0%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopOpacity: 0,
    offset: "100%"
  })), /*#__PURE__*/React__namespace.createElement("radialGradient", {
    cx: "62.322%",
    cy: "74.913%",
    fx: "62.322%",
    fy: "74.913%",
    r: "110.292%",
    gradientTransform: "matrix(0 -.65458 .5345 0 .223 1.157)",
    id: "emptystate-Notauthorized-icon_svg__f-".concat(id)
  }, /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#949494",
    offset: "0%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#E3E3E3",
    offset: "85%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#FAFAFA",
    offset: "100%"
  })), /*#__PURE__*/React__namespace.createElement("radialGradient", {
    cx: "56.229%",
    cy: "28.869%",
    fx: "56.229%",
    fy: "28.869%",
    r: "131.419%",
    gradientTransform: "matrix(-.13119 -.62193 1.72688 -.14336 .138 .68)",
    id: "emptystate-Notauthorized-icon_svg__g-".concat(id)
  }, /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#FAFAFA",
    offset: "0%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#E3E3E3",
    offset: "38.095%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#949494",
    offset: "100%"
  })), /*#__PURE__*/React__namespace.createElement("radialGradient", {
    cx: "523.605%",
    cy: "-82.736%",
    fx: "523.605%",
    fy: "-82.736%",
    r: "561.611%",
    gradientTransform: "matrix(-.09668 -.24728 .99532 -.02402 6.566 .448)",
    id: "emptystate-Notauthorized-icon_svg__h-".concat(id)
  }, /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#818181",
    offset: "47%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#E4E4E4",
    offset: "100%"
  })), /*#__PURE__*/React__namespace.createElement("radialGradient", {
    cx: "-24.275%",
    cy: "-185.698%",
    fx: "-24.275%",
    fy: "-185.698%",
    r: "137.673%",
    gradientTransform: "matrix(.20443 -.545 .97888 .11382 1.625 -1.778)",
    id: "emptystate-Notauthorized-icon_svg__i-".concat(id)
  }, /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#474747",
    offset: "0%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#191919",
    offset: "82%"
  })), /*#__PURE__*/React__namespace.createElement("linearGradient", {
    x1: "47.701%",
    y1: "48.935%",
    x2: "75.212%",
    y2: "76.522%",
    id: "emptystate-Notauthorized-icon_svg__a-".concat(id)
  }, /*#__PURE__*/React__namespace.createElement("stop", {
    stopOpacity: 0.07,
    offset: "0%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopOpacity: 0.28,
    offset: "100%"
  })), /*#__PURE__*/React__namespace.createElement("linearGradient", {
    x1: "-.085%",
    y1: "52.053%",
    x2: "99.908%",
    y2: "52.053%",
    id: "emptystate-Notauthorized-icon_svg__b-".concat(id)
  }, /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#DCDCDC",
    offset: "0%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#C1C1C1",
    offset: "7%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#B5B5B5",
    offset: "16.827%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#D5D5D5",
    offset: "27.259%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#9D9D9D",
    offset: "43%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#A1A1A1",
    offset: "93%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#D7D7D7",
    offset: "100%"
  })), /*#__PURE__*/React__namespace.createElement("linearGradient", {
    x1: "47.764%",
    y1: "48.963%",
    x2: "74.662%",
    y2: "75.917%",
    id: "emptystate-Notauthorized-icon_svg__c-".concat(id)
  }, /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#F2F2F2",
    offset: "0%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopColor: "#949494",
    offset: "100%"
  })), /*#__PURE__*/React__namespace.createElement("linearGradient", {
    x1: "41.521%",
    y1: "43.68%",
    x2: "78.067%",
    y2: "81.753%",
    id: "emptystate-Notauthorized-icon_svg__e-".concat(id)
  }, /*#__PURE__*/React__namespace.createElement("stop", {
    stopOpacity: 0.12,
    offset: "0%"
  }), /*#__PURE__*/React__namespace.createElement("stop", {
    stopOpacity: 0.1,
    offset: "100%"
  }))), /*#__PURE__*/React__namespace.createElement("g", {
    fillRule: "nonzero",
    fill: "none"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M60.66 28.617l-.095.054-25.591 14.84a6.691 6.691 0 01-7.191 0l-8.544-4.935c-1.069-.623-1.664-1.247-1.779-1.87v25.131a1.243 1.243 0 000 .353v.074c.062.315.21.605.426.841.18.197.377.379.589.542.246.18.5.348.764.502l8.544 4.936a6.691 6.691 0 007.19 0l25.592-14.848c1.156-.678 1.752-1.356 1.792-2.034V26.644c-.007.08-.02.16-.04.237-.129.577-.67 1.16-1.658 1.736z",
    fill: "#FFF"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M44.194 6.908a4.598 4.598 0 00-.447-.277l-8.57-4.943a6.752 6.752 0 00-7.185 0L2.43 16.515c-1.076.63-1.665 1.248-1.78 1.871-.02.142-.02.286 0 .428.115.623.677 1.247 1.78 1.87l8.543 4.936a6.691 6.691 0 007.191 0l25.591-14.827.095-.054c.974-.576 1.529-1.16 1.657-1.736.02-.077.034-.157.04-.237.028-.63-.425-1.234-1.352-1.858z",
    transform: "translate(17 52.881)",
    fill: "url(#emptystate-Notauthorized-icon_svg__a-".concat(id, ")")
  }), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M43.849 2.373l-.095.047-25.59 14.848a6.752 6.752 0 01-7.192 0L2.43 12.325c-1.076-.623-1.665-1.247-1.753-1.87v25.138c-.013.115-.013.231 0 .346a.353.353 0 010 .075c.066.313.213.603.427.84.18.2.38.38.595.543.24.184.494.351.758.501l8.543 4.943a6.752 6.752 0 007.191 0l25.591-14.848c1.164-.678 1.759-1.356 1.793-2.034V.4a1.501 1.501 0 01-.04.23c-.156.584-.711 1.16-1.685 1.743z",
    transform: "translate(17 26.44)",
    fill: "url(#emptystate-Notauthorized-icon_svg__b-".concat(id, ")")
  }), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M61.004 25.18c-.135-.095-.29-.183-.453-.278l-8.544-4.943a6.712 6.712 0 00-7.177 0L19.24 34.786c-1.076.63-1.665 1.255-1.78 1.872a1.135 1.135 0 000 .427c.115.623.676 1.247 1.78 1.87l8.543 4.937a6.691 6.691 0 007.19 0l25.592-14.828.094-.054c.988-.576 1.53-1.16 1.665-1.735.02-.078.033-.158.04-.238.02-.596-.433-1.234-1.36-1.857z",
    fill: "#FFF"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M44.194 6.678a6.42 6.42 0 00-.447-.285l-8.57-4.942a6.752 6.752 0 00-7.185 0L2.43 16.27c-1.076.624-1.665 1.248-1.78 1.871-.02.14-.02.281 0 .42.115.624.677 1.248 1.78 1.872l8.543 4.942a6.752 6.752 0 007.191 0L43.754 10.53l.095-.048c.974-.583 1.529-1.159 1.657-1.742.02-.076.033-.153.04-.23.028-.597-.425-1.214-1.352-1.831z",
    transform: "translate(17 18.305)",
    fill: "url(#emptystate-Notauthorized-icon_svg__c-".concat(id, ")")
  }), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M50.147 3.39c.11.061.216.13.318.203-1.25-1-2.612-1.85-4.059-2.535-2.16-1.112-4.86-.73-8.097 1.145l-.379.217c-3.243 1.876-6.01 4.814-8.3 8.814a24.036 24.036 0 00-3.423 10.46v15.092c.01.26.087.512.223.733.02.022.036.047.047.074.241.321.548.587.9.78.713.404 1.51.636 2.327.678V24.875a19.187 19.187 0 01.244-3.18 25.533 25.533 0 013.186-8.475c2.295-3.986 5.064-6.924 8.307-8.813l.372-.217c3.247-1.89 6.025-2.156 8.334-.8z",
    fill: "#FFF"
  }), /*#__PURE__*/React__namespace.createElement("g", {
    transform: "translate(23.088 21.695)",
    fill: "url(#emptystate-Notauthorized-icon_svg__d-".concat(id, ")")
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M18.941 4.656c0 1.284.79 2.38 2.368 3.288A11.06 11.06 0 0026.978 9.3a11.122 11.122 0 005.689-1.356c1.57-.904 2.352-2 2.347-3.288 0-1.288-.771-2.38-2.34-3.295a11.169 11.169 0 00-5.69-1.356 11.128 11.128 0 00-5.668 1.356c-1.577.909-2.361 2.007-2.375 3.295zM0 15.504c0 1.283.79 2.38 2.368 3.288a11.06 11.06 0 005.668 1.356 11.122 11.122 0 005.69-1.356c1.569-.904 2.351-2 2.347-3.288 0-1.288-.771-2.38-2.34-3.295a11.169 11.169 0 00-5.69-1.356 11.128 11.128 0 00-5.669 1.356C.798 13.117.014 14.216 0 15.504z"
  })), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M8.889 20.82l5.5-3.193-8.727-5.247-5.364 3.647 8.59 4.787M24.219.474l-3.024 4.15 7.894 4.495 4.54-2.63.094-.048.386-.244-9.89-5.722z",
    transform: "translate(27.147 22.373)",
    fill: "url(#emptystate-Notauthorized-icon_svg__e-".concat(id, ")")
  }), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M20.774 1.566a3.151 3.151 0 00-.318-.203c-2.29-1.356-5.06-1.083-8.307.82l-.372.217C8.535 4.271 5.766 7.209 3.47 11.214A25.533 25.533 0 00.284 19.66 19.961 19.961 0 000 22.8v14.176h1.103a5.356 5.356 0 002.212-.678c.349-.191.651-.457.886-.78a1.57 1.57 0 00.277-.82V22.807a13.31 13.31 0 01.4-3.187 17.886 17.886 0 011.914-4.59 15.355 15.355 0 015.554-5.891l.25-.15a7.119 7.119 0 013.524-1.104 4.12 4.12 0 012.03.556 4.632 4.632 0 012.164 3.498c.097.535.149 1.077.156 1.62v11.736c.295.002.589-.02.88-.068a4.12 4.12 0 001.15-.332l.365-.183c.385-.191.7-.5.9-.881.051-.112.086-.23.1-.353V8.969c.005-3.561-1.025-6.029-3.09-7.403z",
    transform: "translate(29.853 2.034)",
    fill: "url(#emptystate-Notauthorized-icon_svg__f-".concat(id, ")")
  }), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M24.515 3.39c.11.061.216.13.318.203-1.25-1-2.612-1.85-4.059-2.535-2.124-1.112-4.814-.73-8.07 1.145l-.379.217C9.07 4.3 6.314 7.232 4.06 11.214a24.023 24.023 0 00-3.45 10.48v15.092c.013.26.092.512.23.733l.04.074c.243.32.55.585.9.78.713.404 1.51.636 2.327.678V24.875a19.962 19.962 0 01.237-3.18 25.533 25.533 0 013.186-8.475c2.296-3.986 5.065-6.924 8.307-8.813l.372-.217c3.247-1.89 6.016-2.156 8.307-.8z",
    transform: "translate(25.794)",
    fill: "url(#emptystate-Notauthorized-icon_svg__g-".concat(id, ")")
  }), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M50.147 16.156v-.563a9.879 9.879 0 00-.122-1.607 4.632 4.632 0 00-2.164-3.498 4.12 4.12 0 00-2.03-.556 7.18 7.18 0 01.819 3.654v11.906c.013.08.033.16.06.237.178.442.517.8.948 1.003a4.727 4.727 0 002.448.597h.055l-.014-11.173z",
    fill: "#FFF"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M4.911 6.664v-.562a9.854 9.854 0 00-.128-1.607A4.632 4.632 0 002.618.997 4.12 4.12 0 00.588.44a7.111 7.111 0 01.82 3.654V16a.93.93 0 00.053.237c.18.441.518.8.947 1.004a4.727 4.727 0 002.45.596h.053V6.664z",
    transform: "translate(45.412 9.492)",
    fill: "url(#emptystate-Notauthorized-icon_svg__h-".concat(id, ")")
  }), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M49.03 46.868a5.921 5.921 0 00-2.705 4.644 1.832 1.832 0 00.778 1.735c.25.143.538.207.825.184v2.033a.72.72 0 00.305.678c.242.13.539.101.75-.074.318-.191.578-.465.751-.793.205-.309.322-.668.339-1.038v-2.034c.317-.35.596-.735.832-1.145a5.344 5.344 0 00.784-2.638 1.853 1.853 0 00-.778-1.742 1.823 1.823 0 00-1.88.19z",
    fill: "#FFF"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    d: "M2.746.563A5.941 5.941 0 00.041 5.207c-.087.679.214 1.349.778 1.735.248.148.537.212.825.183V9.16a.678.678 0 001.055.617 2.374 2.374 0 001.062-1.844V5.898c.33-.35.621-.737.866-1.152.487-.793.758-1.7.785-2.63a1.635 1.635 0 00-.78-1.73 1.627 1.627 0 00-1.886.177z",
    transform: "translate(46.088 46.102)",
    fill: "url(#emptystate-Notauthorized-icon_svg__i-".concat(id, ")")
  })));
}
SvgEmptystateNotauthorizedIcon.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "SvgEmptystateNotauthorizedIcon"
};

module.exports = SvgEmptystateNotauthorizedIcon;
